import request from '@/utils/request'

// 查询包工头用户列表
export function listUser(query) {
  return request({
    url: '/wgz/user/list',
    method: 'get',
    params: query
  })
}

// 查询包工头用户详细
export function getUser(userId) {
  return request({
    url: '/wgz/user/' + userId,
    method: 'get'
  })
}

// 新增包工头用户
export function addUser(data) {
  return request({
    url: '/wgz/user',
    method: 'post',
    data: data
  })
}

// 修改包工头用户
export function updateUser(data) {
  return request({
    url: '/wgz/user',
    method: 'put',
    data: data
  })
}

// 删除包工头用户
export function delUser(userId) {
  return request({
    url: '/wgz/user/' + userId,
    method: 'delete'
  })
}

// 导出包工头用户
export function exportUser(query) {
  return request({
    url: '/wgz/user/export',
    method: 'get',
    params: query
  })
}
